Package org.codehaus.groovy.binding

# Class PropertyBinding

java.lang.Object
org.codehaus.groovy.binding.PropertyBinding

All Implemented Interfaces:
  `SourceBinding`, `TargetBinding`, `TriggerBinding`

    @Deprecated
    public class PropertyBinding
    extends java.lang.Object
    implements SourceBinding, TargetBinding, TriggerBinding

Deprecated.

Since:
  Groovy 1.1

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `PropertyBinding.UpdateStrategy` | Deprecated.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PropertyBinding​(java.lang.Object bean, java.lang.String propertyName)` | Deprecated.
  `PropertyBinding​(java.lang.Object bean, java.lang.String propertyName, java.lang.String updateStrategy)` | Deprecated.
  `PropertyBinding​(java.lang.Object bean, java.lang.String propertyName, PropertyBinding.UpdateStrategy updateStrategy)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `FullBinding` | `createBinding​(SourceBinding source, TargetBinding target)` | Deprecated.
  `java.lang.Object` | `getBean()` | Deprecated.
  `java.lang.String` | `getPropertyName()` | Deprecated.
  `java.lang.Object` | `getSourceValue()` | Deprecated.
  `PropertyBinding.UpdateStrategy` | `getUpdateStrategy()` | Deprecated.
  `boolean` | `isNonChangeCheck()` | Deprecated.
  `void` | `setBean​(java.lang.Object bean)` | Deprecated.
  `void` | `setNonChangeCheck​(boolean nonChangeCheck)` | Deprecated.
  `void` | `setPropertyName​(java.lang.String propertyName)` | Deprecated.
  `void` | `updateTargetValue​(java.lang.Object newValue)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertyBinding

    public PropertyBinding​(java.lang.Object bean, java.lang.String propertyName)
    Deprecated.

  - ### PropertyBinding

    public PropertyBinding​(java.lang.Object bean, java.lang.String propertyName, java.lang.String updateStrategy)
    Deprecated.

  - ### PropertyBinding

    public PropertyBinding​(java.lang.Object bean, java.lang.String propertyName, PropertyBinding.UpdateStrategy updateStrategy)
    Deprecated.

- ## Method Details

  - ### getUpdateStrategy

    public PropertyBinding.UpdateStrategy getUpdateStrategy()
    Deprecated.

  - ### updateTargetValue

    public void updateTargetValue​(java.lang.Object newValue)
    Deprecated.
    Specified by:
      `updateTargetValue` in interface `TargetBinding`

  - ### isNonChangeCheck

    public boolean isNonChangeCheck()
    Deprecated.

  - ### setNonChangeCheck

    public void setNonChangeCheck​(boolean nonChangeCheck)
    Deprecated.

  - ### getSourceValue

    public java.lang.Object getSourceValue()
    Deprecated.
    Specified by:
      `getSourceValue` in interface `SourceBinding`

  - ### createBinding

    public FullBinding createBinding​(SourceBinding source, TargetBinding target)
    Deprecated.
    Specified by:
      `createBinding` in interface `TriggerBinding`

  - ### getBean

    public java.lang.Object getBean()
    Deprecated.

  - ### setBean

    public void setBean​(java.lang.Object bean)
    Deprecated.

  - ### getPropertyName

    public java.lang.String getPropertyName()
    Deprecated.

  - ### setPropertyName

    public void setPropertyName​(java.lang.String propertyName)
    Deprecated.